#
# spec file for package python-libsass
#
# Copyright (c) 2017 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define _name   libsass
%{?!python_module:%define python_module() python-%{**} python3-%{**}}

Name:           python-libsass
Version:        0.12.3
Release:        3.4
Summary:        Python binding for libsass
License:        MIT
Group:          Development/Languages/Python
Url:            https://github.com/dahlia/libsass-python
Source:         %{_name}-%{version}.tar.gz
# PATCH-FIX-UPSTREAM 0.13.3 https://github.com/sass/libsass-python/pull/212 boo#1041090
Patch0:         reproducible.patch

BuildRequires:  %{python_module Cython}
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRequires:  python-rpm-macros

# sassc installation required setuptools
Requires:       python-setuptools
Requires:       python-six
# Both are providing sassc binary with different parameters
Conflicts:      sassc
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%python_subpackages

%description
A straightforward binding of libsass for Python. Compile Sass/SCSS in Python
with no Ruby stack at all!

%prep
%setup -n %{_name}-%{version}
%patch0 -p1

%build
%python_build

%install
%python_install
%python_clone %{buildroot}%{_bindir}/sassc
%python_clone %{buildroot}%{_bindir}/sassc.py

%python_expand %fdupes %{buildroot}%{$python_sitearch}

%files %python_files
%defattr(-,root,root)
%python3_only %{_bindir}/sassc
%{_bindir}/sassc-%{python_bin_suffix}
%python3_only %{_bindir}/sassc.py
%{_bindir}/sassc.py-%{python_bin_suffix}
%{python_sitearch}/_sass*.so
%{python_sitearch}/sass*
%python3_only %{python_sitearch}/__pycache__/sass*
%{python_sitearch}/libsass-%{version}-py*.egg-info

%changelog
* Sat Jul 14 2018 bwiedemann@suse.com
- Add reproducible.patch to sort .o files in linking
  in order to make build reproducible (boo#1041090)
* Mon May 15 2017 cbosdonnat@suse.com
- Update to version 0.12.3
  Drop now useless patch: 89d03d50-allow-t-for-style.patch
* Thu Apr 13 2017 cbosdonnat@suse.com
- Add conflicts: sassc
* Fri Apr  7 2017 jengelh@inai.de
- Drop redundant %%clean section. Replace old $RPM shell vars
  by macros.
* Thu Mar 31 2016 olaf@aepfle.de
- Include egg-info to fix build
* Tue Dec 29 2015 cbosdonnat@suse.com
- 0.10.0 Release
- Use -t for style like ruby sassc
  89d03d50-allow-t-for-style.patch
